#ifndef PREFERENCESPANEL_H
#define PREFERENCESPANEL_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <wx/treectrl.h>
#include <wx/statbox.h>
#include <wx/gbsizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>

#include <controller/KissCount.h>
#include "wxUI.h"
#include <model/model.h>

class wxUI;
class KissCount;

class PreferencesPanel: public wxPanel
{
public:
  PreferencesPanel(KissCount* kiss, wxUI *parent);
  void ChangeUser();

  void OnAccountModified(wxGridEvent& event);
  void OnCategoryModified(wxGridEvent& event);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxGrid* _accountsGrid;
  wxGrid* _categoriesGrid;

  void InitAccounts(User* user);
  void InitCategories(User* user);

  DECLARE_EVENT_TABLE();
};

#endif
